> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post on call schedules

> Creates a `OnCallSchedule` objects.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml post /on-call-schedules
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /on-call-schedules:
    post:
      tags:
        - on-call-schedules
      description: Creates a `OnCallSchedule` objects.
      operationId: create_on_call_schedule
      requestBody:
        description: The `OnCallSchedule` object to be created.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOnCallScheduleInfo'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnCallSchedule'
          description: The on call schedule that was created.
      security:
        - BearerAuth: []
components:
  schemas:
    CreateOnCallScheduleInfo:
      description: >-
        # CreateOnCallScheduleInfo Object

        ### Description

        The `CreateOnCallScheduleInfo` object is used to describe the on call
        schedule object to be created.
      example:
        third_party_provider: PAGER_DUTY
        remote_id: PNZNINN
      properties:
        third_party_provider:
          $ref: '#/components/schemas/OnCallScheduleProviderEnum'
        remote_id:
          description: The remote ID of the on call schedule
          example: PNZNINN
          type: string
      type: object
      required:
        - third_party_provider
        - remote_id
    OnCallSchedule:
      description: |-
        # OnCallSchedule Object
        ### Description
        The `OnCallSchedule` object is used to represent an on call schedule.

        ### Usage Example
        Update a groups on call schedule from the `UPDATE Groups` endpoint.
      example:
        on_call_schedule_id: 50d5e9f6-f23f-4d5a-ae91-b2640cf3975e
        third_party_provider: PAGER_DUTY
        remote_id: P7OWH2R
        name: Customer Support On-Call
      properties:
        on_call_schedule_id:
          description: The ID of the on-call schedule.
          example: 50d5e9f6-f23f-4d5a-ae91-b2640cf3975e
          format: uuid
          type: string
        third_party_provider:
          $ref: '#/components/schemas/OnCallScheduleProviderEnum'
        remote_id:
          description: The remote ID of the on call schedule
          example: P7OWH2R
          type: string
        name:
          description: The name of the on call schedule.
          example: Customer Support On-Call
          type: string
      type: object
      required:
        - message_channel_id
    OnCallScheduleProviderEnum:
      description: The third party provider of the on call schedule.
      enum:
        - OPSGENIE
        - PAGER_DUTY
      example: PAGER_DUTY
      type: string
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````